# Uses of Class
org.apache.sysds.runtime.compress.colgroup.ASDC

Packages that use ASDC
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.scheme

## Uses of ASDC in org.apache.sysds.runtime.compress.colgroup

Subclasses of ASDC in org.apache.sysds.runtime.compress.colgroup
Modifier and Type
Class
Description
`class`
`ColGroupSDC`
Column group that sparsely encodes the dictionary values.
`class`
`ColGroupSDCFOR`
ColGroup for Patched Frame Of Reference.
`class`
`ColGroupSDCSingle`
Column group that sparsely encodes the dictionary values.

## Uses of ASDC in org.apache.sysds.runtime.compress.colgroup.scheme

Methods in org.apache.sysds.runtime.compress.colgroup.scheme with parameters of type ASDC
Modifier and Type
Method
Description
`static SDCScheme`
SDCScheme.`create(ASDC g)`